Not a developer? Go to MovableType.com

March 2012

March 1, 2012

Movable Type 5.13, 5.07, and 4.38 patch to fix the plugin template load error

By Jun Kaneko.

Note : This patch was updated on the 5th of March, 2012 after the initial release on the 1st of March. If you still see the “Template load error” after applying the initial patch, please download again and re-apply the patch. Thanks to the community feedback, we found an issue in Movable Type 5.13, 5.07, and 4.38 Security Updates and created a patch to resolve it. Due to the more strict policy in 5.13, 5.07 and 4.38, some plugins produce the “Template load error”. There are two ways to resolve this error: Fix your plugin to meet the security policy in 5.13 / 5.07 / 4.38. Apply the patch and enable AllowFileInclude configuration directive to moderate the strict security policy. It is recommended to (1) fix the plugin because AllowFileInclude weakens the protection against malicious plugins and templates. Please do not forget to disable AllowFileInclude directive once you update your plugin to the fixed version. Please refer to the following pages for details. Movable Type 5.13, 5.07, and 4.38 patch 1 release notes How to apply the patch How to fix your plugin If you are not seeing this “Template load error” after your upgrade, you don’t need to apply…

Read More